Skip to main content

List productions

GET 

/api/productions

Required permissions:

  • pipeline.view: allows view resources of projects where the user is the PM or the Account.
  • pipeline.view_other: allows view resources of projects where the user is not the PM nor the Account.

Here the dedicated support page.

Request

Query Parameters

    project_id integer

    Filter items by the project_id field.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

    deleted string

    Possible values: [exclude, include, only]

    Default value: exclude

    Filter items by deletion status.

    deleted_at date-time

    Filter items by the deleted_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of productions.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    date daterequired

    The first day of month of the production plan

    value floatrequired

    Possible values: <= 100

    The percentage of production planned in a month

    project_id integerrequired

    Possible values: >= 1

    ID of the project related to this production plan

    deleted_at date-time

    The date and time when the resource was deleted

  • ]

Loading...